/* ***** BEGIN LICENSE BLOCK *****
 * Version: MPL 1.1/GPL 2.0/LGPL 2.1
 *
 * The contents of this file are subject to the Mozilla Public License Version
 * 1.1 (the "License"); you may not use this file except in compliance with
 * the License. You may obtain a copy of the License at
 * http://www.mozilla.org/MPL/
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied. See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is Mozilla Communicator client code, released
 * March 31, 1998.
 *
 * The Initial Developer of the Original Code is
 * Netscape Communications Corporation.
 * Portions created by the Initial Developer are Copyright (C) 1998-1999
 * the Initial Developer. All Rights Reserved.
 *
 * Contributor(s):
 *
 * Alternatively, the contents of this file may be used under the terms of
 * either the GNU General Public License Version 2 or later (the "GPL"), or
 * the GNU Lesser General Public License Version 2.1 or later (the "LGPL"),
 * in which case the provisions of the GPL or the LGPL are applicable instead
 * of those above. If you wish to allow use of your version of this file only
 * under the terms of either the GPL or the LGPL, and not to allow others to
 * use your version of this file under the terms of the MPL, indicate your
 * decision by deleting the provisions above and replace them with the notice
 * and other provisions required by the GPL or the LGPL. If you do not delete
 * the provisions above, a recipient may use your version of this file under
 * the terms of any one of the MPL, the GPL or the LGPL.
 *
 * ***** END LICENSE BLOCK ***** */

/* ===== groupbox.css ==================================================
  == Styles used by the XUL groupbox and related elements.
  ======================================================================= */

@namespace url("http://www.mozilla.org/keymaster/gatekeeper/there.is.only.xul");

/* ::::: groupbox ::::: */

groupbox {
  margin: 5px;
  border: 1px solid ThreeDShadow;
  -moz-border-radius: 5px;
  padding: 5px;
}

groupbox:-moz-system-metric(windows-classic) {
  border-width: 2px;
  -moz-border-top-colors: ThreeDShadow ThreeDHighlight;
  -moz-border-right-colors: ThreeDHighlight ThreeDShadow;
  -moz-border-bottom-colors: ThreeDHighlight ThreeDShadow;
  -moz-border-left-colors: ThreeDShadow ThreeDHighlight;
  -moz-border-radius: 0px;
}

.groupbox-body {
  padding: inherit;
}

caption {
  margin: 0px 6px 2px 6px;
  padding: 0px 3px;
  background-color: -moz-Dialog;
}

tabpanels caption {
  background-color: menu;
}

.caption-text {
  margin-top: 0;
  margin-bottom: 0;
  -moz-margin-start: 1px;
  -moz-margin-end: 2px;
}
